@media screen and (max-width: 1220px) {
  div#panel-button button {
    padding: 0 10px;
    margin: 0 5px !important;
  }
}

@media screen and (max-width: 1024px) {
  .itsm-card-title {
    font-size: 1.2rem;
  }
  ::-webkit-scrollbar {
    width: 5px !important;
    display: none;
  }
}

@media screen and (max-width: 959px) {
  .itsm-table .uk-table-shrink {
    justify-content: right;
    display: grid;
  }
  .itsm-table tr {
    overflow: hidden;
    line-height: 10px;
  }
  div#panel-button button {
    margin: 0 3px !important;
  }
}

@media screen and (max-width: 840px) {
  div#panel-button button {
    padding: 0 5px;
  }
}

@media screen and (max-width: 800px) {
  .ui-dialog.ui-widget.ui-widget-content,
  .ns-basicChooserDialogContent,
  .ns-splitPanel.ns-basicChooserSplit {
    width: 100% !important;
  }
  .ns-leftSplitPanel, .ns-splitDivider {
    display: none;
  }
  .ns-basicChooserSearchInput {
    width: calc(100% - 18px) !important;
  }
  .ns-rightSplitPanel {
    width: calc(100% - 18px) !important;
    left: 0 !important;
    border: 1px solid #e2e2e2;
  }
  .ns-basicChooserSearchIcon {
    display: none;
  }
  .ns-basicChooserApplyButton {
    margin: 0 !important;
    position: absolute;
    bottom: 35px;
    right: 10px;
  }

  .ns-basicChooserDialogContent .paginator-container {
    position: absolute;
    right: 9px;
  }
}

@media screen and (max-width: 768px) {
  #panel-button,
  #panel-buttons,
  #panel-search,
  #left-panel,
  .itsm-actions-container,
  .itsm-filter-container {
    display: none !important;
  }

  #panel-print-form {
    width: 100% !important;
    height: 30px !important;
  }


  #header {
    height: 60px !important;
    justify-content: center;
  }

  #panel-logo {
    height: 100% !important;
    width: 22% !important;
  }

  #body-panel.analytics-body {
    top: 80px !important;
    height: calc(100% - 80px) !important;
  }

  #body-panel.itsm-ci-body {
    height: 100% !important;
  }

  #body-panel {
    top: 70px !important;
    height: auto !important;
  }

  #analytics-panel {
    border-radius: 0 !important;
  }

  #app-panel {
    left: 0 !important;
    width: 100% !important;
    margin: 0px !important;
  }

  .itsm-context-menu {
    left: 10px !important;
  }

  .itsm-custom-table>thead th {
    padding: 5px;

  }

  .itsm-pt-paginator {
    height: 40px !important;
  }

  .itsm-pt-paginator button {
    width: 40px !important;
  }

  #registryNameLabel {
    height: 30px !important;
  }
  #registryNameLabel span {
    font-size: 14px !important;
  }

  #form-panel {
    top: 35px !important;
    position: absolute;

  }

  #panel-action button {
    margin: 0;
  }

  .itsm-ci-header > div:nth-child(1) {
    display: none;
  }

  #itsm-ci-registrychooser {
    left: 5px !important;
    width: 80% !important;
  }

  .itsm-ci-dialog{
    width: 100% !important;
    height: 90% !important;
    top: 60px !important;
  }
  .itsm-ci-dialog>.ui-dialog-content{
    height: 85% !important;
  }

  .itsm-menu-content-left .itsm-action-button {
    background-color: #e5e5e5 !important;
    color: #222 !important;
    width: 100% !important;
    height: 50px;
  }
}

@media screen and (max-width: 639px) {
  .uk-card-body {
    padding: 30px;
  }

  #app-panel>#panel-2 {
    width: 95% !important;
  }

  #panel-logo {
    width: 28% !important;
  }

  #period-dashboard-panel  input {
    width: 380px !important;
  }
}

@media screen and (max-width: 460px) {
  #panel-logo {
    width: 35% !important;
  }
  #period-dashboard-panel  input {
    width: 300px !important;
  }

  .uk-modal-footer {
    padding: 10px;
  }

  .uk-modal-footer button {
    padding: 0 15px;
  }

  .uk-modal-body {
    padding: 20px 10px;
  }
}

@media screen and (max-width: 370px) {
  #period-dashboard-panel  input {
    width: 200px !important;
  }
}

@media screen and (max-height: 639px) {
  .itsm-ci-dialog>.ui-dialog-content{
    height: 80% !important;
  }
}
